Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.spreadsheet.core
Interface EMFFormsSpreadsheetRendererFactory

All Known Implementing Classes:
  EMFFormsSpreadsheetRendererFactoryImpl

    public interface EMFFormsSpreadsheetRendererFactory

This is the factory which selects the most fitting renderer for the provided `VElement` and `ViewModelContext`.

Author:
  Eugen Neufeld

Method Summary
`void` | `addEMFFormsSpreadsheetRendererService(EMFFormsSpreadsheetRendererService<VElement> spreadsheetRendererService)` Adds an `EMFFormsSpreadsheetRendererService` to the list of available renderer.
`
`<VELEMENT extends VElement> EMFFormsAbstractSpreadsheetRenderer<VElement>`
` | `getRendererInstance(VELEMENT vElement, ViewModelContext viewModelContext)` Returns the renderer which fits the provided `VElement` and `ViewModelContext` the most.
`void` | `removeEMFFormsSpreadsheetRendererService(EMFFormsSpreadsheetRendererService<VElement> spreadsheetRendererService)` Removes an `EMFFormsSpreadsheetRendererService` from the list of available renderer.

Method Detail

### addEMFFormsSpreadsheetRendererService

    void addEMFFormsSpreadsheetRendererService(EMFFormsSpreadsheetRendererService<VElement> spreadsheetRendererService)

  Adds an `EMFFormsSpreadsheetRendererService` to the list of available renderer.

  Parameters:
    `spreadsheetRendererService` - The EMFFormsSpreadsheetRendererService to add

### removeEMFFormsSpreadsheetRendererService

    void removeEMFFormsSpreadsheetRendererService(EMFFormsSpreadsheetRendererService<VElement> spreadsheetRendererService)

  Removes an `EMFFormsSpreadsheetRendererService` from the list of available renderer.

  Parameters:
    `spreadsheetRendererService` - The EMFFormsSpreadsheetRendererService to remove

### getRendererInstance

    <VELEMENT extends VElement> EMFFormsAbstractSpreadsheetRenderer<VElement> getRendererInstance(VELEMENT vElement,
                                                                                                  ViewModelContext viewModelContext)
                                                                      throws EMFFormsNoRendererException

  Returns the renderer which fits the provided `VElement` and `ViewModelContext` the most.

  Type Parameters:
    `VELEMENT` - The VElement type
  Parameters:
    `vElement` - the `VElement` to find the renderer for
    `viewModelContext` - the `ViewModelContext` to find the renderer for
  Returns:
    the renderer
  Throws:
    `EMFFormsNoRendererException` - is thrown when no renderer can be found

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.